def prime(y):
    if y <= 1:                                       # Dla jakiegoś y > 1
        print(y, 'nie jest liczbą pierwszą')
    else:
        x = y // 2                                   # Ale / nie działa
        while x > 1:
            if y % x == 0:                           # Bez reszty?
                print(y, 'ma czynnik', x)
                break                                # Pominięcie else
            x -= 1
        else:
            print(y, 'jest liczbą pierwszą')

tests = (27, 24, 13, 13.0, 15, 15.0, 3, 2, 1, -3)
for test in tests:
    prime(test)

